%define name fuse-backuppcfs4
%define version 0.2
%define release 0.beta

Summary: BackupPC 4 fuse filsystem
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPLv2+
URL: https://svn.ulyssis.org/repos/sipa/backuppc-fuse/backuppcfs.pl
Group: Applications/System
Source: backuppcfs.pl

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}

Requires: BackupPC >= 4
Requires: perl-Fuse

Provides: fuse-backuppcfs
COnflicts: fuse-backuppcfs

%description
Mount and explorer BackupPC's data like normal directory trees.

%prep

%setup -D -T -c -n %{name}

%build
# empty build

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}/%{_bindir}
%{__install} -m 0755 %{SOURCE0} %{buildroot}/%{_bindir}/backuppcfs

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*

%changelog
* Sun Jun 18 2017 Daniel Berteaud <daniel@ffirewall-services.com> 0.2-1
- Update by Craig Baratt to work with BackupPC v4

* Fri Nov 15 2013 Daniel Berteaud <daniel@ffirewall-services.com> 0.1-2
- Cleanup the spec file

* Fri Oct 28 2011 Daniel Berteaud <daniel@ffirewall-services.com> 0.1-1
- initial release

